NSX-T Data Center Global Manager REST API
Resets node authentication policy and password complexity configuration
Resets to default, currently configured authentication policy and password complexity on the node.Administrators need to enforce password change for existing user accounts
in order to match newly configured complexity requirements in system.
reset-all: resets configured Authentication policy and Password complexity
reset-auth-policies: resets only configured Authentication policy
includes - {api_failed_auth_lockout_period, api_failed_auth_reset_period,
api_max_auth_failures, cli_failed_auth_lockout_period, cli_max_auth_failures}
reset-pwd-complexity: resets only configured Password complexity
When the password policy is managed through VCF Operations, performing a reset action
will update all VCF Operations–managed fields to their default password policy values
as defined by VCF. Fields not managed by VCF Operations will retain their default
values as defined by NSX.
Request:
Method:
POST
URI Path(s):
/api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy?action=reset-all
/api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy?action=reset-auth-policies
/api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy?action=reset-pwd-complexity
/api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-all
/api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-auth-policies
/api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-pwd-complexity
/api/v1/node/aaa/auth-policy?action=reset-all
/api/v1/node/aaa/auth-policy?action=reset-auth-policies
/api/v1/node/aaa/auth-policy?action=reset-pwd-complexity
/api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy?action=reset-auth-policies
/api/v1/transport-nodes/{transport-node-id}/node/aaa/auth-policy?action=reset-pwd-complexity
/api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-all
/api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-auth-policies
/api/v1/cluster/{cluster-node-id}/node/aaa/auth-policy?action=reset-pwd-complexity
/api/v1/node/aaa/auth-policy?action=reset-all
/api/v1/node/aaa/auth-policy?action=reset-auth-policies
/api/v1/node/aaa/auth-policy?action=reset-pwd-complexity
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a
Example Request:
POST https://<nsx-mgr>/api/v1/node/aaa/auth-policy?action=reset-allSuccessful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
AuthenticationPolicyProperties+